##   !!! This is a deprecated version! 
##   Please download new version of configuration from 
##   https://ib-aid.com/en/optimized-firebird-configuration/

#
# Firebird configuration file for Firebird 1.5 Classic
# Optimized by IBSurgeon (www.ibsurgeon.com).
#
# This is an optimized configuration for Firebird 1.5 Classic, it can be used
# instead of standard firebird.conf from 1.5 distribution - copy it to Firebird folder,
# rename it to firebird.conf, then restart Firebird 
# (all users should be disconnected before restart!). Keep old config as a backup!
#
# If you need configuration file, optimized for your specific environment 
# to get the best possible performance, or if your performance problem 
# still persists after configuration changes, contact us:
# http://www.ibsurgeon.com/en/firebird-interbase-performance-optimization-service/
# or via email support@ib-aid.com

#RootDirectory =
#DatabaseAccess = Full
#ExternalFileAccess = None
#UdfAccess = Restrict UDF
#TempDirectories =
DefaultDbCachePages = 512
SortMemBlockSize = 1048576
SortMemUpperLimit = 77108864
#OldParameterOrdering = 0
#CompleteBooleanEvaluation = 0
#DeadlockTimeout = 10
#MaxUnflushedWrites = 100
#MaxUnflushedWriteTime = 5
#BugcheckAbort = 0
#OldColumnNaming = 0
#ConnectionTimeout = 180
#DummyPacketInterval = 0
#RemoteServiceName = gds_db
#RemoteServicePort = 3050
#RemoteAuxPort = 0
#TcpRemoteBufferSize = 8192
#TcpNoNagle = 0
#RemoteBindAddress = 
LockMemSize = 2262144
#LockSemCount = 32
#LockGrantOrder = 1
#LockAcquireSpins = 0
LockHashSlots = 2039
#EventMemSize = 65536
#CpuAffinityMask = 1
#PrioritySwitchDelay = 100
#DeadThreadsCollection = 50
#PriorityBoost = 5
#GuardianOption = 1
#ProcessPriorityLevel = 0
#IpcMapSize= 4096
#IpcName = FirebirdIPI
#RemotePipeName = interbas
#CreateInternalWindow = 1
#LockSignal = 16
#RemoteFileOpenAbility = 0 
